Addressing Component
====================

Addresses management is a common task for almost every eCommerce project.  
This component provides basic models and services for handling addresses in
your PHP application.

Countries can contain multiple provinces (states).

This component supports very flexible zones system, which allows you to group countries and provinces into geographical areas.
Every address can be matched against all defined zones, which is useful for tax or shipping systems.

Sylius
------

<p align="center">
    <a href="https://sylius.com" target="_blank">
        <picture>
          <source media="(prefers-color-scheme: dark)" srcset="https://media.sylius.com/sylius-logo-800-dark.png">
          <source media="(prefers-color-scheme: light)" srcset="https://media.sylius.com/sylius-logo-800.png">
          <img alt="Sylius Logo." src="https://media.sylius.com/sylius-logo-800.png">
        </picture>
    </a>
</p>

Sylius is an Open Source eCommerce solution built from decoupled components with powerful API and the highest quality code. [Read more on sylius.com](https://sylius.com).

Documentation
-------------

Documentation is available on [**docs.sylius.com**](https://docs.sylius.com/en/latest/components_and_bundles/components/Addressing/index.html).

Contributing
------------

[This page](https://docs.sylius.com/en/latest/contributing/index.html) contains all the information about contributing to Sylius.

Follow Sylius' Development
--------------------------

If you want to keep up with the updates and latest features, follow us on the following channels:

* [Official Blog](https://sylius.com/blog)
* [Sylius on Twitter](https://twitter.com/Sylius)
* [Sylius on Facebook](https://facebook.com/SyliusEcommerce)

Bug tracking
------------

Sylius uses [GitHub issues](https://github.com/Sylius/Sylius/issues).
If you have found bug, please create an issue.

MIT License
-----------

License can be found [here](https://github.com/Sylius/Sylius/blob/master/LICENSE).

Authors
-------

The component was originally created by [Paweł Jędrzejewski](https://pjedrzejewski.com).
See the list of [contributors](https://github.com/Sylius/Addressing/contributors).
